Summary:	Window manager for Xfce desktop environment
Name:		xfwm4
Version: 	4.4.2
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-4.4.2-filter-ungrab-events.patch
Patch1:		%{name}-4.4.2-exit-on-selectionclear.patch
Patch2:		%{name}-4.4.2-fix-compositing-overlay.patch
Patch3:		%{name}-4.4.2-fix-automaximize-on-move.patch
Patch4:		%{name}-4.4.2-awn-focus.patch
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libxcomposite-devel
BuildRequires:	libxdamage-devel
BuildRequires:	startup-notification-devel
Requires:	xfce-mcs-manager >= %{version}
Obsoletes:	xfwm
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Xfce 4 window manager manages the placement of application
windows on the screen, provides beautiful window decorations,
manages workspaces or virtual desktops, and natively supports
multiscreen mode. It provides its own compositing manager (
from the Xorg Composite extension) for true transparency and shadows.
The Xfce 4 window manager includes a keyboard shorcuts editor for user
specific commands and basic windows manipulations, and it provides a
dialog for advanced tweaks.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure2_5x \
%if %mdkversion < 200900
	--sysconfdir=%{_sysconfdir}/X11 \
%endif
	--enable-compositor \
	--enable-xsync \
	--enable-render \
	--enable-randr \
	--disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc example.gtkrc-2.0 AUTHORS COMPOSITOR README TODO
%{_bindir}/xfwm4
%{_libdir}/xfce4/mcs-plugins/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*
%{_datadir}/themes/*
%{_datadir}/xfwm4
%{_datadir}/xfce4/doc


%changelog
* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-4mdv2008.1
+ Revision: 209019
- reorder patches
- Patch1: filter ungrab events
- Patch2: exit on selectionclear
- Patch3: fix compositing overlay
- Patch4: fix automaximize on move

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-3mdv2009.0
+ Revision: 205606
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 189000
- Patch0: fix focus problems with avant-window-navigator
- remove COPYING file from docs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 109994
- Remove unneeded patch
- New release 4.4.2

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new license policy
    - use upstream tarball name as a real name
    - use upstream name

* Sat Sep 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-9mdv2008.0
+ Revision: 92282
- provide patch 4, which fixes upstream Xfce bug #3296

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-8mdv2008.0
+ Revision: 91888
- drop patch 1 because it does nothing :(

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-7mdv2008.0
+ Revision: 71392
- provide patch 3 (fix against gtk 2.11.x which kills keyboard/mouse events)
- some cleans
- SILET remove it

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-6mdv2008.0
+ Revision: 44314
- disable compiling of static files rather than deleting them

* Mon Jun 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-5mdv2008.0
+ Revision: 35021
- provide P2 (fix memory leak)
- update description
- provide patch0

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 32565
- use macros in %%post and %%postun
- drop Source1
- drop __libtoolize
- add configure options
- spec file clean

* Thu Apr 26 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.4.1-3mdv2008.0
+ Revision: 18426
- Oops, forgot to bump release in last commit.
- Added missing BuildRequires for libxcomposite-devel and
  libxdamage-devel when building with compositor.

* Wed Apr 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 18232
- Build with compositor by default

* Mon Apr 23 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 17695
- New release 4.4.1

